
* UserFileTemplate.sys

This file contains the template used by the User File Editor. See
the Utilities manual, section on User Configuration Files, for a
more complete description of the entries.

All entries in this file except comments are of the form :keyword:data.
Although this looks like a comment delimeted by * *, it is not really so.
In fact anything that isn't started :keyword: is ignored. You will notice
that there are no :keyword: expression begining a line in this text.

There are two main sections to this file OPTIONS and ENVIRONMENTS.

OPTIONS (not mandatory section)

   Keyword         Description

   Options         This keyword heads the option specification section.
                   The data which follows is a string that will be
                   displayed in the main function menu and will appear as
                   the title of the option category menu. The following
                   keyword descriptions are valid under the Options
                   section. 

   Category        This keyword heads a option subsection which is used to
                   group options into a category. The data which follows
                   is a string that will be displayed as a selection item
                   in the option category menu. There must be at least one
                   category keyword in the option section. The following
                   keyword descriptions are valid under the category
                   subsection. MAXIMUM OF 10 CATEGORIES.

   nnnnField       This keyword identifies a user configuration file
                   entry name. The data which follows is a string that
                   will appear in the user configuration file as :data:.
                   'nnnn' may be one of 'BLANK' (ie. :Field:), MUST or
                   FILE. The following keyword descriptions are valid
                   after a :nnnnField: entry. MAXIMUM OF 100 FIELDS IN
                   TOTAL, MAXIMUM OF 20 FIELDSCATEGORY.

   Description     This keyword identifies a string to be used in the
                   option edit form. If this entry is missing the prompt
                   will be the same as the text for the field name above.

   Default         This keyword specifies a default string to be used for
                   the field, if the user does not edit the option field.
                   This will be displayed in the option edit form. If this
                   entry is missing the field will be blank in the option
                   edit form.


ENVIRONMENTS (mandatory section)

   Keyword         Description

   Environments    This keyword heads the environment specification
                   section. The data which follows is a string that will
                   be displayed in the main function menu and will appear
                   as the title of the environment menu. The following
                   keyword descriptions are valid under the Environments
                   section.

   Name            This keyword identifies an environment. The data
                   which follows is the text that will appear in the
                   environment menu. The following keyword descriptions
                   are valid after a :Name: entry. MAXIMUM OF 10
                   ENVIRONMENTS.

   Command         This keyword specifies a command (Executive style)
                   that uniquely defines the environment. The data is
                   the name or abbreviation of a valid command in a
                   sys.cmds file. The chainfile and parameters will be
                   derived by the User File Editor from the sys.cmds file
                   automatically.

   SignonExitFile  This keyword has the same meaning as in the user
                   configuration file.

   SignonChainFile This keyword has the same meaning as in the user
                   configuration file. Note that if a Command keyword is
                   used that if this keyword is also specified, it will
                   be ignored.

   Default         The usage of this keyword here has no data following
                   it. It should only appear in one environment and
                   specifies that this environment will be the default
                   for the user file.

Note: This comment is very large and may make the initial processing of the
      file by the User File Editor slower. Remove the comments to improve
      performance if desired.

*

:Options:Modify Options
:Category:Executive
  :Field:ExecCmdFile
    :Description:Command file

:Category:Mail
  :Field:MailUserName
    :Description:Mail user name
  :Field:MailCenterName
    :Description:Mail center name
  :Field:MailPassword
    :Description:Password
  :Field:MailPrinters
    :Description:Printers file

:Category:Operator
  :Field:OperatorPhoneListDirectory
    :Description:Phone list directory
    :Default:[sys]<sys>
  :Field:OperatorPhoneCallDirectory
    :Description:Phone call directory
    :Default:[sys]<sys>
  :Field:OperatorConfig
    :Default:[sys]<sys>TmConfig.sys
    :Description:Configuration file
  :Field:OperatorPassword
    :Description:Password
  :Field:OperatorDataCmCommand
    :Default:ATE
    :Description:Data CM command name
  :Field:OperatorDataRunFile
    :Default:[sys]<sys>ATE.run
    :Description:Data run file name

:Category:SignOn
  :MustField:SignonVolume
    :Description:Volume
    :Default:sys
  :MustField:SignonDirectory
    :Description:Directory
    :Default:sys
  :MustField:SignonFilePrefix
    :Description:File prefix
  :MustField:SignonPassword
    :Description:Password
  :Field:SignonTextFile
    :Description:Text file

:Category:Word Processor
  :Field:WPFormatSet
    :Description:Format set file
    :Default:[sys]<sys>Wp.fmt
  :Field:WPPrinters
    :Description:Printers file
    :Default:[sys]<sys>Sys.Printers
  :Field:WpPrintWheels
    :Description:Print wheels file
    :Default:[sys]<sys>Wp.whl
  :Field:WpDictionary
    :Description:Standard dictionary
  :Field:WpPersonalDictionary
    :Description:Personal dictionary
  :Field:WpStatistics
    :Description:Statistics file
  :Field:WpPhraseFile
    :Description:Phrases file
  :Field:WpMacroFile
    :Description:Macro file
  :Field:WpForceForegroundPrint
    :Description:Force foreground print?
  :Field:DDConfigFile
    :Description:Configuration file
    :Default:[sys]<sys>DDConfig.sys

:Environments:Select Environment
  :Name:Executive
    :SignonExitFile:[sys]<sys>Exec.run
    :SignonChainFile:[sys]<sys>Exec.run

The following are commented out since these products may not exist on the
target system. They are here for examples of other environments.
*  :Name:Multi Context
*    :Command:Install Context Manager
*    :SignonExitFile:[sys]<sys>signon.run
*  :Name:Word Processing
*    :Command:Word Processor
*    :SignonExitFile:[sys]<sys>exec.run
